GraphChi 0.1

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Macros
Public Member Functions
TriangleCountingProgram Struct Reference
Inheritance diagram for TriangleCountingProgram:

List of all members.

## Public Member Functions
void | update (graphchi_vertex< VertexDataType, EdgeDataType > &v, graphchi_context &gcontext)
void | before_iteration (int iteration, graphchi_context &gcontext)
void | after_iteration (int iteration, graphchi_context &gcontext)
void | before_exec_interval (vid_t window_st, vid_t window_en, graphchi_context &gcontext)
void | after_exec_interval (vid_t window_st, vid_t window_en, graphchi_context &gcontext)

## Additional Inherited Members
Public Types inherited from graphchi::GraphChiProgram< VertexDataType, EdgeDataType >
typedef VertexDataType | VertexDataType
typedef EdgeDataType | EdgeDataType

## Detailed Description

GraphChi programs need to subclass GraphChiProgram<vertex-type, edge-type> class. The main logic is usually in the update function.

## Member Function Documentation

void TriangleCountingProgram::after_exec_interval | ( | vid_t | window_st,
|  | vid_t | window_en,
|  | graphchi_context & | gcontext
| ) |  |
| inline virtual

Called after an execution interval has finished.

Reimplemented from graphchi::GraphChiProgram< VertexDataType, EdgeDataType >.

void TriangleCountingProgram::after_iteration | ( | int | iteration,
|  | graphchi_context & | gcontext
| ) |  |
| inline virtual

Called after an iteration has finished.

Reimplemented from graphchi::GraphChiProgram< VertexDataType, EdgeDataType >.

void TriangleCountingProgram::before_exec_interval | ( | vid_t | window_st,
|  | vid_t | window_en,
|  | graphchi_context & | gcontext
| ) |  |
| inline virtual

Called before an execution interval is started.

On every even iteration, we store pivot's adjacency lists to memory. Here we manage the memory to ensure that we do not load too much edges into memory.

Reimplemented from graphchi::GraphChiProgram< VertexDataType, EdgeDataType >.

void TriangleCountingProgram::before_iteration | ( | int | iteration,
|  | graphchi_context & | gcontext
| ) |  |
| inline virtual

Called before an iteration starts.

Reimplemented from graphchi::GraphChiProgram< VertexDataType, EdgeDataType >.

void TriangleCountingProgram::update | ( | graphchi_vertex< VertexDataType, EdgeDataType > & | v,
|  | graphchi_context & | gcontext
| ) |  |
| inline virtual

Vertex update function.

Iterate through the edges, and if an edge is from a pivot vertex, compute intersection of the relevant adjacency lists.

Implements graphchi::GraphChiProgram< VertexDataType, EdgeDataType >.

The documentation for this struct was generated from the following file:

- example_apps/trianglecounting.cpp